/*
 * Copyright (c) 2015 ARM Limited. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SECURITY_H__
#define __SECURITY_H__
 
#include <inttypes.h>
 
#define MBED_DOMAIN "3b01e485-d6f1-4625-9700-5e454ba81dd9"
#define MBED_ENDPOINT_NAME "92408674-ed2d-4b3b-942e-bdd633c86890"
 
const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"
"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"
"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"
"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"
"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"
"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"
"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"
"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"
"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBzjCCAXOgAwIBAgIEGJN1vjAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"
"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"
"cNMTcwMjAyMTg1MzAxWhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJM2IwM\r\n"
"WU0ODUtZDZmMS00NjI1LTk3MDAtNWU0NTRiYTgxZGQ5LzkyNDA4Njc0LWVkMmQt\r\n"
"NGIzYi05NDJlLWJkZDYzM2M4Njg5MDEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"
"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"
"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEgJKuN08o04EiGrew37KHQ\r\n"
"EarYFIxtzPU523MI3v08Gxgh36oVMIifH9nbiKzcA6iLFtNcb5TmZfYiER69jji\r\n"
"tjAMBggqhkjOPQQDAgUAA0cAMEQCIENhxO+v+7951qZ+en1ntpzd/y6Z5cQ2xa9\r\n"
"RwzSG5qqQAiAhea0erNUoKo4LjEkfmZlxRMuw5eQEBrNIAzsh3O0i8w==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"
"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQg0YyX2hgifR1lpY6N\r\n"
"m6brt/cKTECqFynQKvBVw2g3VsKhRANCAASAkq43TyjTgSIat7DfsodARqtgUjG3\r\n"
"M9Tnbcwje/TwbGCHfqhUwiJ8f2duIrNwDqIsW01xvlOZl9iIRHr2OOK2\r\n"
"-----END PRIVATE KEY-----\r\n";
 
#endif //__SECURITY_H__